For the complete documentation index, see llms.txt. This page is also available as Markdown.

Monitor groups

List monitor groups

get

List monitor groups

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
filterstringOptional

Use the filter query parameter to retrieve just a subset of a collection.

searchstringOptional

Use the search query parameter to restrict the results of a request to match a search criterion.

orderbystringOptional

Use the orderby query parameter to specify the sort order of the items returned from server.
The default order is ascending order.

skipinteger · int32Optional

Use the skip query parameter to set the number of items to skip at the start of a collection.

Default: 0
topinteger · int32 · min: 1 · max: 100Optional

Use the top query parameter to specify the page size of the result set.

Default: 100
Responses
200

OK

application/json
countinteger · int64Optional

Total number of resource.

Example: 100
get/monitor_groups

Create a monitor group

post

Create a new monitor group.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestring · min: 1 · max: 64Optional

Name of monitor group

enabledbooleanOptional

Enable monitor group or not.

descriptionstring · max: 1024Optional

Description for monitor group

Responses
201

Created monitor group

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
post/monitor_groups

Retrieve a monitor group

get

Retrieves details of a monitor group.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

OK

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
namestring · min: 1 · max: 64Optional

Name of monitor group

enabledbooleanOptional

Enable monitor group or not.

descriptionstring · max: 1024Optional

Description for monitor group

get/monitor_groups/{id}

Update an monitor group.

post

Update an monitor group

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Body
namestring · min: 1 · max: 64Optional

Name of monitor group

enabledbooleanOptional

Enable monitor group or not.

descriptionstring · max: 1024Optional

Description for monitor group

Responses
200

OK

No content

post/monitor_groups/{id}

No content

Was this helpful?